Page MenuHomePhabricator

VisualEditor documentation examples on doc.wikimedia.org not working
Closed, ResolvedPublic1 Story Points

Event Timeline

Esanders created this task.Aug 15 2015, 9:40 AM
Esanders raised the priority of this task from to Needs Triage.
Esanders updated the task description. (Show Details)
Esanders added a subscriber: Esanders.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 15 2015, 9:40 AM

Change 215003 had a related patch set uploaded (by Esanders):
build: Bring over eg-iframe fixes from core

https://gerrit.wikimedia.org/r/215003

Jdforrester-WMF triaged this task as Normal priority.Aug 18 2015, 4:07 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Jdforrester-WMF renamed this task from Documentation examples not working to VisualEditor documentation examples on doc.wikimedia.org not working.Aug 28 2015, 5:18 PM
Jdforrester-WMF edited a custom field.
Krenair assigned this task to Esanders.Sep 1 2015, 10:42 PM
Krenair added a subscriber: Krenair.
Jdforrester-WMF closed this task as Resolved.Nov 18 2016, 11:25 PM

Change 215003 merged by jenkins-bot:
build: Bring over eg-iframe fixes from core

https://gerrit.wikimedia.org/r/215003

Subsequent publish build successfully synced the new eg-iframe.html file, but it failed in grunt copy:jsduck. As such, all the .js files are missing for the demo (764 404 errors when trying to preview ve.init.sa.Target).

https://integration.wikimedia.org/ci/job/mwext-VisualEditor-publish/1822/console

+ node --version
v0.10.25
+ npm --version
2.15.2

...


> visualeditor@0.0.0 postdoc /srv/jenkins-workspace/workspace/mwext-VisualEditor-publish
> grunt copy:jsduck


/srv/jenkins-workspace/workspace/mwext-VisualEditor-publish/node_modules/grunt-eslint/tasks/eslint.js:2
const chalk = require('chalk');
^^^^^
Loading "eslint.js" tasks...ERROR
>> SyntaxError: Use of const in strict mode.

Looks like the mwext-VisualEditor-publish job need to be migrated to run on nodepool-jessie instead of ci-slave-trusty. That way it matches the gate pipeline job ("npm-node-4-jessie") which also runs on nodepool-jessie.

The underlying problem is that VisualEditor's build script no longer supports node 0.10.

Change 322367 had a related patch set uploaded (by Krinkle):
Move mwext-VisualEditor-publish from slave-trusty to nodepool-jessie

https://gerrit.wikimedia.org/r/322367

Change 322367 merged by jenkins-bot:
Move mwext-VisualEditor-publish from slave-trusty to nodepool-jessie

https://gerrit.wikimedia.org/r/322367